package com.zd.exam.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.zd.common.core.valid.ValidGroup;
import org.hibernate.validator.constraints.Length;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 考试考题题备选答案对象 el_course_chapter_qu_answer
 *
 * @author liubo
 * @date 2022-01-05
 */
@ApiModel("考试考题题备选答案")
public class ElCourseChapterQuAnswer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 学习章节ID
     */
    @ApiModelProperty(value = "学习章节ID")
    private Long courseChapterId;

    /**
     * 章节题目关联类别ID
     */
    @Excel(name = "章节题目关联类别ID")
    @NotNull(groups = ValidGroup.Crud.Create.class, message = "章节题目关联类别ID不能为空")
    @ApiModelProperty(value = "章节题目关联类别ID")
    private Long courseChapterQuId;
    /**
     * 回答项ID
     */
    @Excel(name = "回答项ID")
    @NotNull(groups = ValidGroup.Crud.Create.class, message = "回答项ID不能为空")
    @ApiModelProperty(value = "回答项ID")
    private Long answerId;
    /**
     * 题目ID
     */
    @Excel(name = "题目ID")
    @NotNull(groups = ValidGroup.Crud.Create.class, message = "题目ID不能为空")
    @ApiModelProperty(value = "题目ID")
    private Long quId;
    /**
     * 是否正确项
     */
    @Excel(name = "是否正确项")
    @NotNull(groups = ValidGroup.Crud.Create.class, message = "是否正确项不能为空")
    @ApiModelProperty(value = "是否正确项")
    private Integer isRight;
    /**
     * 是否选中
     */
    @Excel(name = "是否选中")
    @NotNull(groups = ValidGroup.Crud.Create.class, message = "是否选中不能为空")
    @ApiModelProperty(value = "是否选中")
    private Integer checked;
    /**
     * 排序
     */
    @Excel(name = "排序")
    @NotNull(groups = ValidGroup.Crud.Create.class, message = "排序不能为空")
    @ApiModelProperty(value = "排序")
    private Integer sort;
    /**
     * 选项标签
     */
    @Excel(name = "选项标签")
    @NotBlank(groups = ValidGroup.Crud.Create.class, message = "选项标签不能为空")
    @Length(message = "选项标签长度不能超过64")
    @ApiModelProperty(value = "选项标签")
    private String abc;

    private String content;

    private String analysis;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCourseChapterQuId(Long courseChapterQuId) {
        this.courseChapterQuId = courseChapterQuId;
    }

    public Long getCourseChapterQuId() {
        return courseChapterQuId;
    }

    public void setAnswerId(Long answerId) {
        this.answerId = answerId;
    }

    public Long getAnswerId() {
        return answerId;
    }

    public void setQuId(Long quId) {
        this.quId = quId;
    }

    public Long getQuId() {
        return quId;
    }

    public Integer getIsRight() {
        return isRight;
    }

    public void setIsRight(Integer isRight) {
        this.isRight = isRight;
    }

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public String getAbc() {
        return abc;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }

    public Long getCourseChapterId() {
        return courseChapterId;
    }

    public void setCourseChapterId(Long courseChapterId) {
        this.courseChapterId = courseChapterId;
    }
}
